*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    color: white;
}

a{
    cursor: pointer;
    text-emphasis: none;
    text-decoration: none;
}
/* navbar */
.navbar{
    background-color: rgb(52, 51, 51);
    color: rgba(255, 255, 255, 0.901);
    height: 60px;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    font-family: 'Poppins', sans-serif;
    padding: 8px;
    position: relative;
}   

i{
    color: #0fdf96;
    padding-left: 2rem;  
}
.hamIcon{
    position: absolute;
    z-index: 100;
    cursor: pointer;
}
.mainMenu{
    display: block;
        list-style-type: none;
       padding: 5rem;
        margin: auto;
       height: max-content;
        border-bottom-right-radius: 75%;
        background-color: #01462e;
        width: 40rem;
        text-align: center;
        position: absolute;
        top: 0;
        left: 0;
        transition: transform 0.9s ease-in;
        
        z-index: 99;
    }
    .mainMenu li{
        margin-bottom: 2.5rem;
       
    }
 .nav-element{
   display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start; 
    padding-left: 30px;
list-style-type: none;  

}
.button1{
    color: #0fdf96;
    background: transparent;
    font-family: 'Poppins', sans-serif;
    outline: none;
    border: 3px solid #0fdf96;
    border-radius: 20px;
    padding: 10px;
    margin-right: 25px;
    cursor: pointer;
    font-weight:bolder;
}

.intro{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: black;
    padding: 7rem;
    position: relative;
}

.intro:focus {
    display: none;
}

.name{
    position: relative;
    justify-content: center;
    align-items: center;
    /* margin: auto; */
    width: 100%;
    flex-wrap: wrap;
    /* text-align: left; */
    padding: 50px;
    text-wrap: wrap;
}

@media screen and (max-width: 480px) {
    .intro{
        position: relative;
        width: 100vw;
        height: 100vw;
    }

    .name{
        position: absolute;
        top: 50%;
        left: 50%;
        translate: -50% -50%;

        width: 90vw;
        margin: auto;
        padding: 0;
    }
}

.intro h1{
    font-size: 3.8em;
    font-family: 'Poppins';
    text-transform: uppercase;
  
}
.intro h4{
    font-size: 1.5em;
   
}
.button2{
    background-color: #0fdf96;
    /* background: transparent; */
    font-family: 'Poppins', sans-serif;
    outline: none;
    color: white;
    font-weight: bold  ;
    border: 2px solid #0fdf96;
    border-radius: 20px;
    padding: 8px;
    cursor: pointer;
    margin: 20px;
    margin-left: 0;
}
/* about-section */
.about{
    position: relative;
    padding: 50px;
    background-color: rgba(32, 33, 32, 0.881);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
  
   
}
.about img{
    height: 350px;
    background:linear-gradient(rgb(26, 27, 26), rgb(11, 71, 37)); ;
    
}
/* .about-text span{
    height: 2px;
    width: 40px;
        border: 1px solid #0fdf96;
        orientation: landscape;
} */
.about-text {
     padding-left: 30px;
 }
.about-text h5{
    font-size: 1.1em;
    font-weight: 110;
    color: #0fdf96;
}
.about-text h2{
    font-size: 2.5em;
}
.about-text p{
    font-family: sans-serif;
    word-spacing: 0.2em;
    text-wrap: wrap;
    line-height: 1.5em;
}
.about-text hr{
   height: 5px;
   width: 50%;
   margin: auto;
   background-color: #0fdf96;
  /* border: 2px solide #0fdf96; */
   border-radius: 5px ;
   margin-top: 30px;
   margin-bottom: 30px;
}
.socials{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    align-self: center;
    border-radius: 25px;
    gap: 20px;
    padding: 10px;
    
}
.socials i{
    color: #0fdf96;
    padding-top: 15px;
    padding-bottom: 15px;
}
/* skill-section */
.skills{
    background-color: rgb(26, 26, 26);
    padding: 50px;
   padding-bottom: 60px;
}
.skills h5{
    font-size: 1.1em;
    font-weight: 110;
    color: #0fdf96;
    padding: 10px;
    padding-left: 0;
}
.skills h2{font-size: 2.8em; 
}
.skills h2 span{
    color: #0fdf96;
}
.skills p{
    font-family: sans-serif;
    word-spacing: 0.2em;
    text-wrap: wrap;
    line-height: 1.5em;
    width: 50%;
    position: relative;
    top: 15px;
    justify-content: right ;
}
.skill-box{
    display: flex;
    flex-direction:row;
    justify-content: space-around;
    margin: 30px;
    height: 300px;
    margin-left: 0;
    gap: 20px;
    /* flex-wrap: wrap; */
    /* background-color: rgb(42, 47, 44); 
    border:3px solid rgb(31, 32, 32); */
}
.skill-element{
    position: relative;
   top: 30px;
    background-color: rgb(47, 48, 48); 
    border:3px solid rgb(47, 48, 48);
    width: 300px;
    transition: transform .4s ease-in;
    border-bottom: 5px solid #0fdf96;
   overflow: auto;
    /* box-shadow: 3px 3px 8px rgba(59, 60, 59, 0.663); */
}
.skill-element:hover{
    transform: scale(1.1);
    overflow: auto;
    background-color: #0fdf96;
    border: none;
}
.skill-element:hover i{
    color: white;
}
.card{
    margin: 10px;
    padding: 10px;
    padding-left: 0;
   
}
.card i{
    padding: 5px;
    color: #0fdf96;
 
}
.card h2{
    font-size: 2em;
    padding: 15px;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    padding-left: 0;
}
.card h5{
    color: white;
 
    
}

.portfolio{
    background-color: rgba(32, 33, 32, 0.881);
    background: linear-gradient(black,rgba(32, 33, 32, 0.881));
    padding: 50px;
    padding-bottom: 60px;
}
.portfolio h5{
    font-size: 1.1em;
    font-weight: 110;
    color: #0fdf96;
    padding: 10px;
    padding-left: 0;
}
.portfolio h2{font-size: 2.8em; 
}
.portfolio h2 span{
    color: #0fdf96;
}
.project{
    background-color: #0fdf96e4;
}
.project h3{
    font-size: 1.5rem;
    text-align: center;
    padding: 5px;
}
.project p{
    padding: 5px;
    text-align: center;
    margin-top: 10px;
    font-weight: 300;
}
.projects{
position: relative;

    top: 50px;
    display: grid;
    grid-template-columns: 300px 300px ;
    grid-template-rows: 200px 200px;
  gap: 15px;
justify-content: center;

  padding-bottom: 50px;
}
.portfolio img{
    height: 200px;
    width: 300px;
    transition: transform .3s ease-in;
    
}
.portfolio img:hover{
    transform: scale(1.1);
}

.contact{
    background-color: rgb(26, 26, 26);
    padding: 50px;
}
.contact h5{
    font-size: 1.1em;
    font-weight: 110;
    color: #0fdf96;
    padding: 10px;
    padding-left: 0;
}
.contact h2{
    font-size: 2.8em;

    
}
.contact h2 span{
    color: #0fdf96;
}
.contact p{
    font-family: sans-serif;
    word-spacing: 0.2em;
    text-wrap: wrap;
    line-height: 1.5em;
    width: 50%;
    position: relative;
    top: 15px;
    justify-content: right ;
}
.connect{
    position: relative;
    top: 50px;
    display: grid;
    grid-template-columns: auto auto auto;
    grid-template-rows: 150px 150px;
  gap: 20px;
  padding-bottom: 50px;
overflow: hidden;
}
.contact-element{
    background: white ;
    transition: transform .4s ease-in;
    box-shadow: 6px 6px 6px rgba(39, 38, 38, 0.7);
    padding: 30px;
    text-align: center;
    
}
.contact-element i {
    padding: 15px;
    font-size: 3em;
}
.contact-element h1{
    color: #0fdf96;
    padding: 20px;
    font-size: 2em;
}

.contact-element:hover{ 
    transform: scale(1.1);
    
}
.feedback{
    background-color: rgb(26, 26, 26);
    padding: 50px;
   padding-bottom: 60px;
   text-align: center;
   
}
.feedback h1{
    font-size: 2.8em;
    padding: 30px;
}
.feedback fieldset{
    font-size: 1.1em;
    font-family: poppins;
    padding: 15px;
    text-align: left;
    margin: 30px;
    border-radius: 8px;
}
input[type="text"],
input[type="email"],
input[type="tel"],
input[type="message"],
textarea{
    width: 100%;
    padding: 10px;
    color: white;
    margin: auto;
    background: transparent;
    border: none;
}

input[type="submit"]{
    background-color: #0fdf96;
    color: #fff;
    border: none;
   padding: 15px;
   cursor: pointer;
   width: 50%;
 }
 input[type="submit"]:hover{
    background-color: #005437; 
 }
 footer{
    background-color: black;
    color: white;
   padding: 20px;
 }
 .footer-elements{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
 }
 .foot-r{
    display: flex;
    flex-direction: row;
   
gap: 20px;
 }


 @media(max-width:800px){
    
    .projects{
        display: grid;
        grid-template-columns:auto auto;
        grid-template-rows: repeat(2,1fr);
       margin: 10px;
       overflow: hidden;
    }
    .about{
        display: flex;
        flex-direction: column;
        text-wrap: wrap;
       
    }
    
    .skills p{
      width: 100%;
      text-align: center;
    }
.skill-box{
    display: flex;
    flex-direction: column;
    overflow:scroll;
   margin: auto;
   padding: 1em;
}
    .socials{
        display: flex;
        flex-direction: row;
    }
    .connect{
        display: flex;
        flex-direction: row;
       overflow:scroll;
      margin: auto;
      }
      .skill-box{
        flex-wrap: wrap;
      }
    }

    